<?
########## Confixx(R) 3.0 Professional ############
####### Copyright SWsoft, Inc. 2004-2005 ##########
#### http://www.sw-soft.com - info@sw-soft.com ####


include_once("auth.php");
include_once ( "../include/module.Database.php" );

if (strpos($HTTP_USER_AGENT,"IE") > 0)

$Rows = "50";

else

$Rows = "34";

## mysql verbindung aufbauen

db_connect($db_host, $db_user, $db_pass);

## /mysql verbindung aufbauen



# checkboxen

if (($maxkundenlimit == "1") && ($maxkunden == "-1"))

        {

         $fehlertext = ltext("anan4_error1");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxkblimit == "1") && ($maxkb == "-1"))

        {

         $fehlertext = ltext("anan4_error2");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxpoplimit == "1") && ($maxpop == "-1"))

        {

         $fehlertext = ltext("anan4_error3");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxemaillimit == "1") && ($maxemail == "-1"))

        {

         $fehlertext = ltext("anan4_error4");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxautoresponderlimit == "1") && ($maxautoresponder == "-1"))

        {

         $fehlertext = ltext("anan4_error5");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxftplimit == "1") && ($maxftp == "-1"))

        {

         $fehlertext = ltext("anan4_error6");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($ftp == 0) && ($maxftp != 0))

        {

         $fehlertext = ltext("anan4_error7");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxdomainslimit == "1") && ($maxdomains == "-1"))

        {

         $fehlertext = ltext("anan4_error8");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxsubdomainslimit == "1") && ($maxsubdomains == "-1"))

        {

         $fehlertext = ltext("anan4_error9");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($maxmysqllimit == "1") && ($maxmysql == "-1"))

        {

         $fehlertext = ltext("anan4_error10");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($stdcgi == 1) && ($perl != 1))

        {

         $fehlertext = ltext("anan4_error11");

         db_close();

         include("anbieter_anlegen.php");

         exit();

        }



if (($shell == 1) && ($ftp == 0)){
  $fehlertext = ltext("anan4_error12");

  db_close();
  
  include("anbieter_anlegen.php");

  exit();
}

if($maxcronjobslimit == "1" && $maxcronjobs == "-1")
{
	$fehlertext = ltext("anan2_error14");
	db_close();
	include("anbieter_anlegen.php");
	exit();
}

if($maxmaillistlimit == "1" && $maxmaillist == "-1")
{
	$fehlertext = ltext("anan2_error37");
	db_close();
	include("anbieter_anlegen.php");
	exit();
}

if ( $dns && ! preg_match( "/^[^\.]+.*\..*[^\.]+$/", $pns ) )
{
	$fehlertext = ltext("anan2_error39");
	db_close();
	include("anbieter_anlegen3.php");
	exit();
}

if ( $dns && ! preg_match( "/^[^\.]+.*\..*[^\.]+$/", $sns ) )
{
	$fehlertext = ltext("anan2_error40");
	db_close();
	include("anbieter_anlegen3.php");
	exit();
}

if (istleer($maxkundenlimit)) { $maxkundenlimit = 0; }

if (istleer($maxkblimit)) { $maxkblimit = 0; }

if (istleer($maxpoplimit)) { $maxpoplimit = 0; }

if (istleer($maxemaillimit)) { $maxemaillimit = 0; }

if (istleer($maxautoresponderlimit)) { $maxautoresponderlimit = 0; }

if (istleer($maxftplimit)) { $maxftplimit = 0; }

if (istleer($maxdomainslimit)) { $maxdomainslimit = 0; }

if (istleer($maxsubdomainslimit)) { $maxsubdomainslimit = 0; }

if (istleer($maxmysqllimit)) { $maxmysqllimit = 0; }

if (istleer($maxcronjobslimit)) { $maxcronjobslimit = 0; }

if (!$maxmaillistlimit) { $maxmaillistlimit = 0; }

# /checkboxen



## nochmal checken, ob leistung vom system aus möglich ist und bei anbieter auf 0 setzen

# Serverfähigkeiten auslesen

$id = db_query("select * from admin");

$serverkann = db_fetch_array($id);

$indexcode = $serverkann["indexcode"];

$indexfile = $serverkann["indexfile"];
$httpdspezial = $serverkann["httpdspezial"];

$skpop = $serverkann["pop"];
if ($skpop == 0) { $maxpop = 0; }

$skemail = $serverkann["email"];
if ($skemail == 0) { $maxemail = 0; }

$skautoresponder = $serverkann["autoresponder"];
if ($skautoresponder == 0) { $maxautoresponder = 0; }

$skftp = $serverkann["ftp"];
if ($skftp == 0) { $maxftp = 0; $ftp = 0; $shell = 0; }

$skscponly= $serverkann["scponly"];
if ($skscponly == 0) { $scponly = 0; }

$sksubdomains = $serverkann["subdomains"];
if ($sksubdomains == 0) { $maxsubdomains = 0; }

$skmysql = $serverkann["mysql"];
if ($skmysql == 0){ $maxmysql = 0; $dbext = 0; }

$skphp = $serverkann["php"];
if ($skphp == 0) { $php = 0; }

$skperl = $serverkann["perl"];
if ($skperl == 0) { $perl = 0; }

$skmodpython = $serverkann["modpython"];

 if ($skmodpython==0) { $modpython = 0; };

$skssi = $serverkann["ssi"];
if ($skssi == 0) { $ssi = 0; }

$skssl = $serverkann["cssl"];
if ($skssl == 0) { $ssl = 0; }

$skfrontpage = $serverkann["frontpage"];
if ($skfrontpage == 0) { $frontpage = 0; }

$skshell = $serverkann["shell"];
if ($skshell == 0) { $shell = 0; }

$skstatistik = $serverkann["statistik"];
if ($skstatistik == 0) { $statistik = 0; }

$skpwschutz = $serverkann["pwschutz"];
if ($skpwschutz == 0) { $pwschutz = 0; }

$skfehlerseiten = $serverkann["fehlerseiten"];
if ($skfehlerseiten == 0) { $fehlerseiten = 0; }

$skwebftp = $serverkann["webftp"];
if ($skwebftp == 0) { $webftp = 0; }

$skwebmail = $serverkann["webmail"];
if ($skwebmail == 0) { $webmail = 0; }

$skstdcgi = $serverkann["stdcgi"];
if ($skstdcgi == 0) { $stdcgi = 0; }

$skphpupload = $serverkann["phpupload"];
if ($skphpupload == 0) { $phpupload = 0; }

$skdirlist = $serverkann["dirlist"];
if ($skdirlist == 0) { $dirlist = 0; }

$skwap = $serverkann["wap"];
if ($skwap == 0) { $wap = 0; }
 
$skcoldfusion = $serverkann["coldfusion"];
if($skcoldfusion == 0) { $coldfusion = 0; }

$skspamfilter = $serverkann["spamfilter"];
if($skspamfilter == 0 || $maxpop == 0) { $spamfilter = 0; }

$skcronjobs = $serverkann["cronjobs"];
if($skcronjobs == 0) { $maxcronjobs = 0; }
 
if($serverkann['majordomo'] == 0) { $maxmaillist = 0; }

# /Serverfähigkeiten auslesen

## /nochmal checken, ob leistung vom system aus möglich ist



## MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln

if ($maxkb <> -1) {
  $maxkb = $maxkb * 1024;
  if ($maxkb_mbgb == 'GB') { $maxkb = $maxkb * 1024; }
}

## /MB/GB in KB bei "max. Speicherplatz vom Anbieter" umwandeln



## MB/GB in KB bei "max. transfer vom Anbieter" umwandeln

if ($maxtransfer <> -1) {
  $maxtransfer = $maxtransfer * 1024;

  if ($maxtransfer_mbgb == 'GB') { $maxtransfer = $maxtransfer * 1024; }
}

## /MB/GB in KB bei "max. transfer vom Anbieter" umwandeln


#name &pw des anbieters ermitteln

$id = db_query("select count(anbieter) as anbieteranzahl from anbieter");

$werte = db_fetch_array($id);

$anbieteranzahl = $werte["anbieteranzahl"];

$id = db_query("select anbieter from anbieter");

while ($werte = db_fetch_array($id)){
   $anbieterstring .= "xx".$werte["anbieter"]."xx";
}

$to = $anbieteranzahl +1;

while (1 <= $to) {
  $anbietertmpstr = "xxres".$to."xx";
  $anbieterreal = "res".$to;

  if (!ereg($anbietertmpstr, $anbieterstring)) {
    $anbieterstr = $anbieterreal;
    $number = $to;
  }
  $to--;
}

$anbieterpw = mkpasswd(8);

$cryptpw = crypt_pw($anbieterpw);

#/name & pw des anbieters ermitteln



if (strlen($anbieterstr) < 2){
  $fehlertext = ltext("anan4_error13");

  db_close();

  include("anbieter_anlegen.php");

  exit();
}



$timestamp = time();


if(!$maxwildcardslimit)
  $maxwildcardslimit='0';

if(!$maxatdomainslimit)
  $maxatdomainslimit='0';

if(!$dnr)
  $dnr='0';



#in die datenbank...



$custom_skins = 1;
$sql = "insert into anbieter (
  anbieter,
  number,
  passwort,
  longpw,
  maxkunden,
  maxkundenlimit,
  maxpop,
  maxpoplimit,
  maxkb,
  maxkblimit,
  maxmysql,
  maxmysqllimit,
  maxemail,
  maxautoresponder,
  maxemaillimit,
  maxautoresponderlimit,
  maxftp,
  maxftplimit,
  maxtransfer,
  maxsubdomains,
  maxsubdomainslimit,
  maxdomains,
  maxdomainslimit,
  maxwildcards,
  maxwildcardslimit,
  maxatdomains,
  maxatdomainslimit,
  php,
  ftp,
  perl,
  modpython,
  ssi,
  cssl,
  shell,
  scponly,
  statistik,
  pwschutz,
  fehlerseiten,
  webftp,
  webmail,
  stdcgi,
  frontpage,
  anmeldedatum,
  name,
  firma,
  anschrift,
  plzort,
  telefon,
  fax,
  gender,
  firstname,
  plz,
  land,
  emailadresse,
  kundennummer,
  freifeldname1,
  freifeldwert1,
  freifeldname2,
  freifeldwert2,
  freifeldname3,
  freifeldwert3,
  personendatenangeben,
  kundendatenanzeigen,
  kundendatenbeikundenanzeigen,
  indexcode,
  indexfile,
  hilfecode,
  standardip,
  language,
  lastchange,
  httpdspezial,
  phpupload,
  dirlist,
  dbext,
  wap,
  coldfusion,
  dns,
  pns,
  sns,
  dnr,
  maxcronjobs,
  maxcronjobslimit,
  spamfilter,
  maxidn,
  maxidnlimit,
  maxmaillist,
  maxmaillistlimit,
  custom_skins
)
 VALUES (
'$anbieterstr',
'$number',
'',
'$cryptpw',
'$maxkunden',
'$maxkundenlimit',
'$maxpop',
'$maxpoplimit',
'$maxkb',
'$maxkblimit',
'$maxmysql',
'$maxmysqllimit',
'$maxemail',
'$maxautoresponder',
'$maxemaillimit',
'$maxautoresponderlimit',
'$maxftp',
'$maxftplimit',
'$maxtransfer',
'$maxsubdomains',
'$maxsubdomainslimit',
'$maxdomains',
'$maxdomainslimit',
'$maxwildcards',
'$maxwildcardslimit',
'$maxatdomains',
'$maxatdomainslimit',
'$php',
'$ftp',
'$perl',
'$modpython',
'$ssi',
'$ssl',
'$shell',
'$scponly',
'$statistik',
'$pwschutz',
'$fehlerseiten',
'$webftp',
'$webmail',
'$stdcgi',
'$frontpage',
'$timestamp',
'$name',
'$firma',
'$anschrift',
'$ort',
'$telefon',
'$fax',
'$gender',
'$firstname',
'$plz',
'$land',
'$emailadresse',
'$kundennummer',
'$freifeldname1',
'$freifeldwert1',
'$freifeldname2',
'$freifeldwert2',
'$freifeldname3',
'$freifeldwert3',
'1',
'$kundendatenanzeigen',
'1',
" . db_full_quote($indexcode) . ",
'$indexfile',
'$hilfecode',
'$stdip',
'$lang_short',
'$timestamp',
'$httpdspezial',
'$phpupload',
'$dirlist',
'$dbext',
'$wap',
'$coldfusion',
'$dns',
'$pns',
'$sns',
'$dnr',
'$maxcronjobs',
'$maxcronjobslimit',
'$spamfilter',
'-1',
'0',
'$maxmaillist',
'$maxmaillistlimit',
'$custom_skins'
)
";

//print "sql: $sql<br>\n";

db_query($sql);

##ip adressen in db vergeben

for ($i = 0; $i < count($ipadressen); $i++){
  $ip = $ipadressen[$i];

  db_query("update ipadressen set anbieter='$anbieterstr' where ip = '$ip' and anbieter = ''");
}

db_query("update ipadressen set anbieter='$anbieterstr' where ip = '$stdip' and anbieter = ''");
$skin *= 1;
db_query("insert into skins (cuser, skin_id) values ('$anbieterstr','$skin')");

##/ip adressen in db vergeben
if ($custom_skins) {
	include_once("skins_functions.php");
	create_default_res_skin($anbieterstr);
}


#/in die datenbank...



## daten für email holen



$emailbetreff = $serverkann["emailbetreff"];
$emailtext = $serverkann["emailtext"];
$emailname = $serverkann["emailname"];
$emailadresse2 = $serverkann["emailadresse"];



## old stuff from german version:

$emailbetreff = str_replace("##anbieter##", $anbieterstr, $emailbetreff);
$emailbetreff = str_replace("##passwort##", $anbieterpw, $emailbetreff);
$emailbetreff = str_replace("##firma##", $firma, $emailbetreff);

$emailtext = str_replace("##anbieter##", $anbieterstr, $emailtext);
$emailtext = str_replace("##passwort##", $anbieterpw, $emailtext);
$emailtext = str_replace("##firma##", $firma, $emailtext);

## // old stuff

$emailbetreff = str_replace("##reseller##", $anbieterstr, $emailbetreff);
$emailbetreff = str_replace("##password##", $anbieterpw, $emailbetreff);
$emailbetreff = str_replace("##name##", $name, $emailbetreff);
$emailbetreff = str_replace("##company##", $firma, $emailbetreff);
$emailbetreff = str_replace("##email##", $emailadresse, $emailbetreff);



$emailtext = str_replace("##reseller##", $anbieterstr, $emailtext);
$emailtext = str_replace("##password##", $anbieterpw, $emailtext);
$emailtext = str_replace("##name##", $name, $emailtext);
$emailtext = str_replace("##company##", $firma, $emailtext);
$emailtext = str_replace("##email##", $emailadresse, $emailtext);


## //



?>



<HTML>

<HEAD>

<META content="text/html; charset=<? echo $lang_html_charset; ?>" http-equiv=Content-Type>

<LINK href="<?=$strSkinName?>/style.css" rel=stylesheet type=text/css>

</HEAD>



<BODY bgColor=#ffffff bottomMargin=0 leftMargin=0 topMargin=0 MARGINHEIGHT="0" MARGINWIDTH="0">

<? include("../fehler.inc.php"); ?>

<script>

function doChange()

{

document.forms[0].submit();

}

</script>

<table class="tblbgcolor" align="left" border="1" cellpadding="3" cellspacing="0" bordercolorlight="#CCCCCC" bordercolordark="#FFFFFF" HEIGHT="300">

<script>
<?
echo js_f_call_help('', 'anan4_title1');
?>

</script>



  <TR>

    <td colspan=2>

        <? echo ltext("anan4_title1"); ?>:<br><br>

        <? echo ltext("anan4_reseller"); ?>

        <b><? echo $anbieterstr; ?></b>

        <br>

        <? echo ltext("anan4_password"); ?>

        <b><? echo $anbieterpw; ?></b>

        <p>&nbsp;</p>

    </td>

  </TR>

      <form method="post" action="anbieter_sendmail.php">

          <tr>

            <td colspan="2" class="titel-3" ><? echo ltext("anan4_cell_title1"); ?></td>

          </tr>

          <tr >

            <td  ><? echo ltext("anan4_cell_sendto"); ?>

              </td>

            <td  >

              <input type="text" name="empfaenger" value="<? echo $emailadresse; ?>">

            </td>

          </tr>

          <tr >

            <td ><? echo ltext("anan4_cell_subject"); ?></td>

            <td  >

              <input type="text" name="emailbetreff" size="<?=$Rows?>" value="<? echo $emailbetreff; ?>">

            </td>

          </tr>

          <tr >

            <td ><? echo ltext("anan4_cell_text"); ?></td>

            <td  >

              <textarea name="emailtext" cols="<?=$Rows?>" rows="8"><? echo $emailtext; ?></textarea>

            </td>

          </tr>

          <tr >

            <td >&nbsp;</td>

            <td  >

              <input type="text" name="absenderemail" value="<? echo $emailadresse2; ?>">

              <? echo ltext("anan4_cell_senderemail"); ?></td>

          </tr>

          <tr >

            <td  height="26">&nbsp;</td>

            <td   height="26">

              <input type="text" name="absendername" value="<? echo $emailname; ?>">

              <? echo ltext("anan4_cell_sendername"); ?></td>

          </tr>

          <tr >

            <td >&nbsp;</td>

            <td  >

            

            <table cellpadding="0" cellspacing="0" border="0">

            <tr>

            <td><input type=image border=0 src="<?=$strSkinName?>/pics/buttons/bt_img_left.gif"></td>

            <td background="<?=$strSkinName?>/pics/buttons/bt_img_middle.jpg"><a href="javascript:doChange()"  class="button-1"><? echo ltext("anan4_button1"); ?></a></td>

            <td><input type=image border=0 src="<?=$strSkinName?>/pics/buttons/bt_changepass.gif"></td>

            </tr>

            </table></a>

            </td>

          </tr>

        <br>

      </form>

</table>

</BODY>

</HTML>



<?

db_close();

?>
